Package com.isomorphic.criteria.criterion

# Class RelativeDateRangeCriterion

java.lang.Object
com.isomorphic.criteria.criterion.RangeCriterion
com.isomorphic.criteria.criterion.RelativeDateRangeCriterion

All Implemented Interfaces:
  `Criterion`

public class RelativeDateRangeCriterion extends RangeCriterion
Criterion for range of relative dates.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RelativeDateRangeCriterion(String fieldName, OperatorBase operatorId, RelativeDate minValue, RelativeDate maxValue)`
  Construct RelativeDateRangeCriterion using parameters:
  `RelativeDateRangeCriterion(String fieldName, OperatorBase operatorId, RelativeDate minValue, Date maxValue)`
  Construct RelativeDateRangeCriterion using parameters:
  `RelativeDateRangeCriterion(String fieldName, OperatorBase operatorId, Date minValue, RelativeDate maxValue)`
  Construct RelativeDateRangeCriterion using parameters:
  `RelativeDateRangeCriterion(String fieldName, String operatorId, RelativeDate minValue, RelativeDate maxValue)`
  Construct RelativeDateRangeCriterion using parameters:
  `RelativeDateRangeCriterion(String fieldName, String operatorId, RelativeDate minValue, Date maxValue)`
  Construct RelativeDateRangeCriterion using parameters:
  `RelativeDateRangeCriterion(String fieldName, String operatorId, Date minValue, RelativeDate maxValue)`
  Construct RelativeDateRangeCriterion using parameters:

- ## Method Summary

  ### Methods inherited from class com.isomorphic.criteria.criterion.RangeCriterion

  `getMax, getMin, setMax, setMin`

- ## Constructor Details

  - ### RelativeDateRangeCriterion

    public RelativeDateRangeCriterion(String fieldName, String operatorId, RelativeDate minValue, RelativeDate maxValue)
    Construct RelativeDateRangeCriterion using parameters:
    Parameters:
      `fieldName` - - name of field to check.
      `operatorId` - - operator determining rule used for checking.
      `minValue` - - minValue for fieldValue
      `maxValue` - - maxValue for fieldValue

  - ### RelativeDateRangeCriterion

    public RelativeDateRangeCriterion(String fieldName, String operatorId, Date minValue, RelativeDate maxValue)
    Construct RelativeDateRangeCriterion using parameters:
    Parameters:
      `fieldName` - - name of field to check.
      `operatorId` - - operator determining rule used for checking.
      `minValue` - - minValue for fieldValue
      `maxValue` - - maxValue for fieldValue

  - ### RelativeDateRangeCriterion

    public RelativeDateRangeCriterion(String fieldName, String operatorId, RelativeDate minValue, Date maxValue)
    Construct RelativeDateRangeCriterion using parameters:
    Parameters:
      `fieldName` - - name of field to check.
      `operatorId` - - operator determining rule used for checking.
      `minValue` - - minValue for fieldValue
      `maxValue` - - maxValue for fieldValue

  - ### RelativeDateRangeCriterion

    public RelativeDateRangeCriterion(String fieldName, OperatorBase operatorId, RelativeDate minValue, RelativeDate maxValue)
    Construct RelativeDateRangeCriterion using parameters:
    Parameters:
      `fieldName` - - name of field to check.
      `operatorId` - - operator that determines checking logic. This is likely to be a member of the `DefaultOperators` class, such as IContains or GreaterThan.
      `minValue` - - minValue for fieldValue
      `maxValue` - - maxValue for fieldValue

  - ### RelativeDateRangeCriterion

    public RelativeDateRangeCriterion(String fieldName, OperatorBase operatorId, RelativeDate minValue, Date maxValue)
    Construct RelativeDateRangeCriterion using parameters:
    Parameters:
      `fieldName` - - name of field to check.
      `operatorId` - - operator that determines checking logic. This is likely to be a member of the `DefaultOperators` class, such as IContains or GreaterThan.
      `minValue` - - minValue for fieldValue
      `maxValue` - - maxValue for fieldValue

  - ### RelativeDateRangeCriterion

    public RelativeDateRangeCriterion(String fieldName, OperatorBase operatorId, Date minValue, RelativeDate maxValue)
    Construct RelativeDateRangeCriterion using parameters:
    Parameters:
      `fieldName` - - name of field to check.
      `operatorId` - - operator that determines checking logic. This is likely to be a member of the `DefaultOperators` class, such as IContains or GreaterThan.
      `minValue` - - minValue for fieldValue
      `maxValue` - - maxValue for fieldValue